Package com.dropbox.core.v2.files
Class CopyBuilder
java.lang.Object
com.dropbox.core.v2.files.CopyBuilder
The request builder returned by
DbxUserFilesRequests.copyBuilder(java.lang.String, java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withAllowOwnershipTransfer(Boolean allowOwnershipTransfer) Set value for optional field.withAllowSharedFolder(Boolean allowSharedFolder) Deprecated.withAutorename(Boolean autorename) Set value for optional field.
-
Method Details
-
withAutorename
Set value for optional field.If left unset or set to
null, defaults tofalse.- Parameters:
autorename- If there's a conflict, have the Dropbox server try to autorename the file to avoid the conflict. Defaults tofalsewhen set tonull.- Returns:
- this builder
-
withAllowOwnershipTransfer
Set value for optional field.If left unset or set to
null, defaults tofalse.- Parameters:
allowOwnershipTransfer- Allow moves by owner even if it would result in an ownership transfer for the content being moved. This does not apply to copies. Defaults tofalsewhen set tonull.- Returns:
- this builder
-
start
Issues the request.- Throws:
RelocationErrorExceptionDbxException